import gtk
import gladevcp
import linuxcnc
import pygtk
import hal
import os

class HandlerClass:

    def __init__(self, halcomp, builder, useropts):

        # make a class reference to builder 
        # (self.ANYTHING is available anywhere in the HandlerClas class)

        self.builder = builder

        # make a class reference to the open vcp_action

        self.open = builder.get_object('open')

        # change a property in the iconchooser so all programs show
        # this shouldn't be required - it's a bug

        builder.get_object('file').set_property("filetypes", '*')

    # This is a callback function from the icon chooser selected in the GLADE signal editor
    # in GTK the first variable is always the widget that owned the signal that called this function
    # any other variables depend on the widget, in this case icon view sends the path

    def on_file_selected(self, widget, path):

        c = linuxcnc.command()
        #c.reset_interpreter()
        c.program_open(path)		   #screenshot
        #os.system("axis-remote " + path)   #opens the file, but then hangs w/hourglass...although other GladeVCP buttons work 
        #self.open.load_file(path)         #this one doesn't do anything!


 
# boiler code
def get_handlers(halcomp,builder,useropts):
    return [HandlerClass(halcomp,builder,useropts)]





